.test_template:
  extends:
    - .default_settings_template
    - .image_template__runtime_build_test_dependencies_template
    - .rules_template__development
    - .template__coverage
  stage: test
  before_script:
    - . ./scripts/version.sh
    # Load the environment poetry previously created in the docker image.
    # Give access to the Python dependencies/executables
    - . $HOME/.venv/bin/activate
  retry: 2

# Definition for the environment to run all integration tests.
# This is also used by Tezt tests.
# In general we do not have to run make, which takes a while,
# because the binaries have been produced by the build job and are
# in the cache. But if they are not, we need to build them.
# Ideally we should also check that the baker / accuser / endorser
# exist (some tests use them) but their actual name depend on the protocol.
.integration_template:
  extends:
    - .test_template
    - .template__coverage_files
  dependencies: ["build_x86_64"]
  # Start immediately after 'build_x86_64' and don't wait for
  # intermediate stages to succeed
  needs: ["build_x86_64"]
  before_script:
    - if [ ! -f tezos-node ] || [ ! -f tezos-client ] || [ ! -f tezos-codec ]; then make all build-unreleased; fi
